;;; cl-scopes/test/test-forge

;;;; testing facility for scopes/forge

(defpackage :scopes/test-forge
  (:use :common-lisp)
  (:local-nicknames (:scf :scopes/forge) 
					(:sct :scopes/testing))
  (:export #:run))

(in-package :scopes/test-forge)

(defun run ()
  (let ((fe (scf:new-forge-env))
		(tst (sct:test-suite)))
   (scf:exec fe '(4 2 scf:add))
   (sct:assert-eql tst (car (scf:data-stack fe)) 6)
   ;;(format t "~%fe ~a" fe)
   (sct:result tst)
  ))
