;;; cl-scopes/testing

;;;; simple testing library

(defpackage :scopes/testing
  (:use :common-lisp)
  (:export #:test-suite #:assert-eql #:result))

(in-package :scopes/testing)

(defun test-suite ()
  (vector nil))

(defun assert-eql (tst have wanted)
  (push (eql have wanted) (result tst)))

(defmacro result (tst) 
  `(elt ,tst 0))
